const match_pattern = "*://*/*";

// Open the onboarding page if the extension doesn't have the "*://*/*" host permission
async function runtime_on_installed(details) {
    let all_permissions = await browser.permissions.getAll();
    if (!all_permissions.origins.includes(match_pattern)) {
        await browser.tabs.create({url: browser.runtime.getURL("/onboarding/onboarding.html")});
    }
}

// Main code

browser.runtime.onInstalled.addListener(runtime_on_installed);
