const match_pattern = "*://*/*";

// Request the "*://*/*" host permission
async function on_click(event) {
    let granted = await chrome.permissions.request({origins: [match_pattern]});
    if (granted) {
        console.log(`Host permission "${match_pattern}" granted.`);
    }
    else {
        console.log(`Host permission "${match_pattern}" refused.`);
    }
}

// Main code

document.getElementById("button_ask").addEventListener("click", on_click);
